Imports Bytescout.PDF

''' <summary>
''' This example demonstrates how to add a video to PDF document.
''' </summary>
Class Program

    Shared Sub Main()

        ' Create new document
        Dim pdfDocument = New Document()
        pdfDocument.RegistrationName = "demo"
		pdfDocument.RegistrationKey = "demo"

        ' If you wish to load an existing document uncomment the line below And comment the Add page section instead
        ' pdfDocument.Load(".\existing_document.pdf")

        ' Add page
        Dim page = New Page(PaperFormat.A4)
        pdfDocument.Pages.Add(page)

        ' Add video annotation
        Dim movie = New Movie("sample.avi")
        Dim movieAnnotation = New MovieAnnotation(movie, 20, 20, 320, 240)
        movieAnnotation.MovieActivation.ShowControls = True
        page.Annotations.Add(movieAnnotation)

        ' Save document to file
        pdfDocument.Save("result.pdf")

        ' Cleanup 
		pdfDocument.Dispose()

        ' Open document in default PDF viewer app
        Process.Start("result.pdf")

    End Sub

End Class
